<script>
	import Box from "@/components/Box.svelte"
	import Button from "@/components/button.svelte"
	import SVG from "@/components/svg.svelte"
	import Banner from "@/components/Banner/Banner.svelte"
	import Image from "@/assets/img/banner-city.webp"

	import { locale, t, l } from "@/i18n"
	import { modal } from "@/stores"

	export let data

	$: content = data.body[$locale]
</script>

<svelte:head>
	<link rel=”canonical” href=”https://dcr.ae{$l('about-dcr')}”>
</svelte:head>

<div class="page-wrap">
	<div class="columns is-flex is-multiline is-variable is-2">
		<div class="column is-9-desktop is-12-tablet is-12-mobile">
			<div class="column-container">
				{@html content}
			</div>
		</div>
		<div class="aside column is-3-desktop is-12-tablet is-12-mobile">
			<div class="column-container">
				<Box>
					<p class="title">{$t("default.contacts")}</p>
					<div class="data">
						<div class="name">Dubai, UAE</div>
						<a href="tel:+971 52 730 5581" class="phone">+971 52 730 5581</a>
						<a href="mailto:dubaicarental@outlook.com" class="email">dubaicarental@outlook.com</a>
					</div>
					<Button on:click!={() => modal.set(true)} align="left" fullwidth>
						{$t("buttons.order_car")}
						<span class="icon" slot="icon-right"><SVG folder="icons" name="arrow-right" /></span>
					</Button>
				</Box>
			</div>
		</div>
	</div>
	<div class="banner-row"><Banner src={Image} /></div>
</div>

<style lang="scss">
	.columns {
		@include max_tablet {
			flex-direction: column-reverse;
		}
	}
	.page-wrap {
		padding-top: 1.5rem;
	}
	.column {
		&:first-of-type {
			.column-container {
				:global(h2) {
					font-size: 1.125rem;
					font-weight: 500;
					text-transform: uppercase;
					margin-bottom: 1.5rem;
				}
				:global(p) {
					font-size: 1.125rem;
					font-weight: 300;
				}
				:global(p + h2) {
					margin-top: 3rem;
				}
				:global(p + p) {
					margin-top: 1rem;
				}
				:global(.columns) {
					margin-right: -.5rem;
					margin-left: -.5rem;
				}
				:global(.columns .column) {
					padding-right: .5rem;
					padding-left: .5rem;
				}
			}
		}
	}

	.banner-row {
		margin-top: 3rem;
		margin-bottom: 10rem;
		position: relative;
	}

	.aside {
		.title {
			font-size: 1.125rem;
			font-weight: 500;
			text-transform: uppercase;
			color: $primary;
			margin-bottom: 2rem;
		}
		.data {
			margin-bottom: 2rem;
			* { 
				color: $gray;
			}
		}
		.name {
			font-size: 1.125rem;
			font-weight: 500;
			margin-bottom: 1rem;
		}
		.phone {
			font-size: 1.5rem;
			font-weight: 500;
			margin-bottom: 1rem;
		}
		.email {
			font-weight: 300;
		}
	}
</style>